;O'REILLY RA, AGGELER PM. STUDIES ON COUMARIN ANTICOAGULANT DRUGS
;INITIATION OF WARFARIN THERAPY WITHOUT A LOADING DOSE.
;CIRCULATION 1968;38:169-177
;
;O'REILLY RA, AGGELER PM, LEONG LS. STUDIES OF THE COUMARIN ANTICOAGULANT
;DRUGS: THE PHARMACODYNAMICS OF WARFARIN IN MAN.
;JOURNAL OF CLINICAL INVESTIGATION 1963;42(10):1542-1551
;

$PROB WARFARIN PK Linked Zero then First order input
$DATA warfpk2.csv IGNORE=#
$INPUT ID TIME WT AGE SEX CMT AMT RATE DVID DV MDV
$EST MAX=9990 SIG=3 PRINT=1 METHOD=COND INTERACTION
$COV

$THETA
(0.01,0.132,) ; CL
(0.01,8.03,)  ; V
0 FIX ; KA
(0,0.8,) ; TLAG
(0,0.0137, ) ; TK0
(0.01,0.0167,.999) ; FK0

$OMEGA
0.0802 ; PPVCL
0.0493 ; PPVV
0 FIX ; PPVKA
0.267 ; PPVTLAG
0 FIX ; PPVTK0
0 FIX ; PPVFK0

$SIGMA 
0.00993 ; RUVCV
0.102 ; RUVSD

$SUBR ADVAN2 TRANS2

$PK

   ; COVARIATE MODEL
   GRPCL=THETA(1)
   GRPV=THETA(2)
   GRPLAG=THETA(4)
   GRPTK0=THETA(5)
   GRPFK0=THETA(6)

   ; MODEL FOR RANDOM BETWEEN SUBJECT VARIABILITY
   CL=GRPCL*EXP(ETA(1))
   V=GRPV*EXP(ETA(2))
   TLAG=GRPLAG*EXP(ETA(4))
   TK0=GRPTK0*EXP(ETA(5))
   FK0=GRPFK0*EXP(ETA(6))
   KA=FK0/(TK0*(1-FK0))

   ; SCALE CONCENTRATIONS
   S2=V
   ALAG1=TLAG+TK0 ; First order starts after zero-order ends
   ALAG2=TLAG ; Lag time for zero-order input
   D2=TK0 ; Duration of zero-order input
   F1=1-FK0 ; Fraction absorbed by first-order
   F2=FK0 ; Fraction absorbed by zero-order

$ERROR
   Y=F*EXP(EPS(1))+EPS(2)

$TABLE ID TIME AMT WT SEX AGE CL V KA TLAG TK0 FK0 DVID Y
ONEHEADER NOPRINT FILE=warf.fit




