;O'REILLY RA, AGGELER PM. STUDIES ON COUMARIN ANTICOAGULANT DRUGS
;INITIATION OF WARFARIN THERAPY WITHOUT A LOADING DOSE.
;CIRCULATION 1968;38:169-177
;
;O'REILLY RA, AGGELER PM, LEONG LS. STUDIES OF THE COUMARIN ANTICOAGULANT
;DRUGS: THE PHARMACODYNAMICS OF WARFARIN IN MAN.
;JOURNAL OF CLINICAL INVESTIGATION 1963;42(10):1542-1551
;

$PROB WARFARIN PK
$DATA warfpk1.csv IGNORE=#
$INPUT ID TIME WT AGE SEX CMT AMT RATX DVID DV MDV
$EST MAX=9990 SIG=3 PRINT=1 METHOD=COND INTERACTION
$COV

$THETA
   (0.01,0.134,) ; CL
   (0.01,7.81,)   ; V
   (0.01,0.572,) ; KA
0 FIX ; TLAG

$OMEGA
0.0802 ; PPVCL
0.0489 ; PPVV
0.417 ; PPVKA
0 FIX ; PPVTLAG

$SIGMA 
0.0104 ; RUVCV
0.554 ; RUVSD

$SUBR ADVAN2 TRANS2

$PK

   ; COVARIATE MODEL
   GRPCL=THETA(1)
   GRPV=THETA(2)
   GRPKA=THETA(3)
   GRPLAG=THETA(4)

   ; MODEL FOR RANDOM BETWEEN SUBJECT VARIABILITY
   CL=GRPCL*EXP(ETA(1))
   V=GRPV*EXP(ETA(2))
   KA=GRPKA*EXP(ETA(3))
   TLAG=GRPLAG*EXP(ETA(4))

   ; SCALE CONCENTRATIONS
   S2=V
   ALAG1=TLAG

$ERROR
   Y=F*EXP(EPS(1))+EPS(2)

$TABLE ID TIME AMT WT SEX AGE KA CL V DVID Y
ONEHEADER NOPRINT FILE=warf.fit




