;O'REILLY RA, AGGELER PM. STUDIES ON COUMARIN ANTICOAGULANT DRUGS
;INITIATION OF WARFARIN THERAPY WITHOUT A LOADING DOSE.
;CIRCULATION 1968;38:169-177
;
;O'REILLY RA, AGGELER PM, LEONG LS. STUDIES OF THE COUMARIN ANTICOAGULANT
;DRUGS: THE PHARMACODYNAMICS OF WARFARIN IN MAN.
;JOURNAL OF CLINICAL INVESTIGATION 1963;42(10):1542-1551
;

$PROB WARFARIN PK
$DATA warfpk1.csv IGNORE=#
$INPUT ID TIME WT AGE SEX CMT AMT RATX DVID DV MDV
$EST MAX=9990 SIG=3 PRINT=1 METHOD=COND INTERACTION
$COV

$THETA
(0.01,0.132,) ; CL
(0.01,7.98,)  ; V
(0.01,1.35,) ; KA
(0,0.824,) ; TLAG

$OMEGA
0.0834 ; PPVCL
0.0485 ; PPVV
0.698 ; PPVKA
0.155 ; PPVTLAG

$SIGMA 
0.00746 ; RUVCV
0.0669 ; RUVSD

$SUBR ADVAN2 TRANS2

$PK

   ; COVARIATE MODEL
   GRPCL=THETA(1)
   GRPV=THETA(2)
   GRPKA=THETA(3)
   GRPLAG=THETA(4)

   ; MODEL FOR RANDOM BETWEEN SUBJECT VARIABILITY
   CL=GRPCL*EXP(ETA(1))
   V=GRPV*EXP(ETA(2))
   KA=GRPKA*EXP(ETA(3))
   TLAG=GRPLAG*EXP(ETA(4))

   ; SCALE CONCENTRATIONS
   S2=V
   ALAG1=TLAG

$ERROR
   Y=F*EXP(EPS(1))+EPS(2)

$TABLE ID TIME AMT WT SEX AGE CL V KA TLAG DVID Y
ONEHEADER NOPRINT FILE=warf.fit




